Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.Designer.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.Designer.cs	(revision 37)
@@ -2361,19 +2362,19 @@
             this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmTAndPCosts_KeyDown);
             this.TabControl1.ResumeLayout(false);
             this.tabPage1.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.dgvPage1)).EndInit();
             this.tabPage2.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.dgvPage2)).EndInit();
             this.tabPage3.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.dgvPage3)).EndInit();
             this.tabPage4.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.dgvPage4)).EndInit();
             this.tabPage5.ResumeLayout(false);
-            ((System.ComponentModel.ISupportInitialize)(this.dgvPage5)).EndInit();
             this.panel3.ResumeLayout(false);
             this.panel3.PerformLayout();
             this.pnlApproval.ResumeLayout(false);
             this.pnlApprovalButton.ResumeLayout(false);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvPage1)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvPage2)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvPage3)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvPage4)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvPage5)).EndInit();
             this.ResumeLayout(false);
             this.PerformLayout();
 
@@ -2526,6 +2527,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn47;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn54;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn55;
+        private System.Windows.Forms.Label lblCellTotal;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn40;
@@ -2541,6 +2543,5 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn45;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
-        private System.Windows.Forms.Label lblCellTotal;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 37)
@@ -813,8 +813,15 @@
                 {
                     // ロック解除
                     SeeModeLock(TargetTab, false);
-                    // 前月は2週目より以降はロックする
-                    if (DateTimeUtil.GetWeekOfMounth(DateTime.Now) > 2) SeeModeLock(TargetTab, true);
+                    if (PersonCode != 20041201) // ※※※※※特殊処理※※※※※
+                    {
+                        if (DateTimeUtil.GetWeekOfMounth(DateTime.Now) > 2) SeeModeLock(TargetTab, true);
+                    }
+                    else
+                    {
+                        // 前月は2週目より以降はロックする
+                        if (DateTimeUtil.GetWeekOfMounth(DateTime.Now) > 2) SeeModeLock(TargetTab, false);
+                    }
 
                 }
                 else if (iCompare > 0)
@@ -823,8 +830,17 @@
                     SeeModeLock(TargetTab, false);
                 }
                 else
-                {   // 前前月はロックする
-                    SeeModeLock(TargetTab, true);
+                {
+                    if (PersonCode != 20041201)  // ※※※※※特殊処理※※※※※
+                    {
+                        // 前前月はロックする
+                        SeeModeLock(TargetTab, true);
+                    }
+                    else
+                    {
+                        // 前前月はロックする
+                        SeeModeLock(TargetTab, false);
+                    }
                 }
             }
             catch (Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs	(revision 37)
@@ -21,10 +21,6 @@
     {
         #region 定数
         /// <summary>
-        /// 曜日文字
-        /// </summary>
-        public static string[] s_DayOfTheWeek = new string[] { "日", "月", "火", "水", "木", "金", "土" };
-        /// <summary>
         /// カラムポジション
         /// </summary>
         public static int[] s_ColumnPosision = new int[] { 3, 43, 83, 123, 163, 203, 243 };
@@ -77,7 +73,7 @@
                                 case 0:
                                     m_CalendPage.MonthryData[i].lblWeekTitle[ix] = new Label();
                                     // 曜日表示
-                                    m_CalendPage.MonthryData[i].lblWeekTitle[ix].Text = s_DayOfTheWeek[ix];
+                                    m_CalendPage.MonthryData[i].lblWeekTitle[ix].Text = CommonDefine.DayOfTheWeekString[ix];
                                     m_CalendPage.MonthryData[i].lblWeekTitle[ix].TextAlign = ContentAlignment.MiddleCenter;
 
                                     break;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractorJob/FrmSubContractorJobCategory.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractorJob/FrmSubContractorJobCategory.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractorJob/FrmSubContractorJobCategory.cs	(revision 37)
@@ -471,6 +471,7 @@
                 // ダイアログ使用時
                 if (m_DialogFlg)
                 {
+                    dgvMaster.CurrentRow.Cells[(int)DispColumn.Check].Value = true;
                     DataSelectProc();
                     m_bChengeAns = false;
                     this.Close();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.Designer.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.Designer.cs	(revision 37)
@@ -219,7 +219,7 @@
             this.ShowIcon = false;
             this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
             this.Text = "大項目選択";
-            this.Load += new System.EventHandler(this.FrmCostStructureDiag_Load);
+            this.Load += new System.EventHandler(this.FrmComponent_Load);
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
             this.ResumeLayout(false);
             this.PerformLayout();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.cs	(revision 37)
@@ -147,7 +147,7 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        private void FrmComponent_Load(object sender, EventArgs e)
         {
             // 初期表示
             InitDataLoad();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 36)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 37)
@@ -176,7 +176,7 @@
                 dgvMaster.Rows.Clear();
 
                 // 一覧表示
-                ItemListDisplay();
+                DisplayConstruction();
 
             }
             catch (Exception ex)
@@ -190,7 +190,7 @@
         /// <summary>
         /// 工事一覧表示処理
         /// </summary>
-        private void ItemListDisplay()
+        private void DisplayConstruction()
         {
             IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
             try
@@ -199,6 +199,13 @@
 
                 int iCode = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
                 // 進行中案件をを検索する
+                //string strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING FROM CONSTRUCTIONLINK P, CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B";
+                //strSQL += string.Format(" WHERE P.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                //strSQL += " AND A.CONSTRUCTIONCODE = P.FLUCTUATIONCODE";
+                //strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG != {0}", iCode);
+                //strSQL += string.Format(" AND (B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                //strSQL += " ORDER BY A.CONSTRUCTIONCODE";
+
                 string strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B";
                 strSQL += string.Format(" WHERE TRUNC(A.CONSTRUCTIONCODE / 100) = {0}", CommonMotions.cnvTruncate(m_ConstructionCode / 100));
                 strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG != {0}", iCode);
